Ask Your Question
1

Problem running roscore on macosx10.6

asked 2012-05-20 23:25:07 -0500

halfstopper gravatar image

updated 2014-01-28 17:12:23 -0500

ngrennan gravatar image

Hi, i am having issue when running roscore.

The error is :

Traceback (most recent call last): File "/opt/ros/electric/ros/bin/roscore", line 34, in <module> from ros import roslaunch File "/opt/ros/electric/ros/core/roslib/src/ros/__init__.py", line 57, in __getattr__ return __import__(name) File "/opt/ros/electric/ros_comm/tools/roslaunch/src/roslaunch/__init__.py", line 53, in <module> from roslaunch.scriptapi import ROSLaunch File "/opt/ros/electric/ros_comm/tools/roslaunch/src/roslaunch/scriptapi.py", line 42, in <module> import roslaunch.parent File "/opt/ros/electric/ros_comm/tools/roslaunch/src/roslaunch/parent.py", line 55, in <module> import roslaunch.server File "/opt/ros/electric/ros_comm/tools/roslaunch/src/roslaunch/server.py", line 70, in <module> from rosgraph_msgs.msg import Log ImportError: No module named rosgraph_msgs.msg

I have try to install python using the following command: sudo easy_install python-yaml

The export | grep ros is :

declare -x PATH="/opt/ros/electric/ros/bin:/opt/ros/electric/ros/bin:/opt/ros/electric/ros/bin:/opt/ros/electric/ros/bin:/opt/ros/electric/ros/bin:/opt/local/bin:/opt/local/sbin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/git/bin:/usr/X11/bin" declare -x PYTHONPATH="/opt/ros/electric/ros/core/roslib/src:/opt/ros/electric/ros/core/roslib/src:/opt/ros/electric/ros/core/roslib/src:/opt/ros/electric/ros/core/roslib/src:/opt/ros/electric/ros/core/roslib/src:" declare -x ROS_PACKAGE_PATH="/opt/ros/electric/robot_model_tutorials:/opt/ros/electric/visualization_tutorials:/opt/ros/electric/geometry_tutorials:/opt/ros/electric/common_tutorials:/opt/ros/electric/ros_tutorials:/opt/ros/electric/documentation:/opt/ros/electric/geometry_experimental:/opt/ros/electric/robot_model_visualization:/opt/ros/electric/geometry_visualization:/opt/ros/electric/diagnostics_monitors:/opt/ros/electric/executive_smach_visualization:/opt/ros/electric/visualization:/opt/ros/electric/slam_gmapping:/opt/ros/electric/navigation:/opt/ros/electric/vision_opencv:/opt/ros/electric/laser_pipeline:/opt/ros/electric/image_pipeline:/opt/ros/electric/image_transport_plugins:/opt/ros/electric/perception_pcl:/opt/ros/electric/image_common:/opt/ros/electric/rx:/opt/ros/electric/visualization_common:/opt/ros/electric/physics_ode:/opt/ros/electric/stage:/opt/ros/electric/simulator_gazebo:/opt/ros/electric/simulator_stage:/opt/ros/electric/xacro:/opt/ros/electric/executive_smach:/opt/ros/electric/robot_model:/opt/ros/electric/assimp:/opt/ros/electric/pluginlib:/opt/ros/electric/orocos_kinematics_dynamics:/opt/ros/electric/nodelet_core:/opt/ros/electric/geometry:/opt/ros/electric/bullet:/opt/ros/electric/filters:/opt/ros/electric/eigen:/opt/ros/electric/driver_common:/opt/ros/electric/diagnostics:/opt/ros/electric/common:/opt/ros/electric/common_msgs:/opt/ros/electric/bond_core:/opt/ros/electric/common_rosdeps:/opt/ros/electric/ros_comm:/opt/ros/electric/ros" declare -x ROS_ROOT="/opt/ros/electric/ros" declare -x ROS_WORKSPACE="/opt/ros/electric"

Please advise. Thank you

edit retag flag offensive close merge delete

Comments

Can you post the output of export | grep ROS? What version of Xcode are you using? Which installation instructions did you use?

William gravatar imageWilliam ( 2012-05-21 11:34:39 -0500 )edit

The Xcode version I am using is 3.2.6. I installing ros electric from the link : http://www.ros.org/wiki/electric/Installation/OSX/Homebrew

I install ros to /opt/ros/electric path I am new to installing to mac.

Thank you

halfstopper gravatar imagehalfstopper ( 2012-05-21 15:13:15 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
1

answered 2012-05-21 17:51:05 -0500

William gravatar image

The important line from this error is:

"/opt/ros/electric/ros_comm/tools/roslaunch/src/roslaunch/server.py", line 70, in <module> from rosgraph_msgs.msg import Log ImportError: No module named rosgraph_msgs.msg

This means it cannot find the msg module in the rosgraph_msg pkg or it cannot find the rosgraph_msg pkg.

It could be that your environment was not setup correctly, but looking at your feedback to my comment above that doesn't seem to be the problem.

Additionally, it could be that rosgraph_msgs is not built, try running rosmake rosgraph_msgs and then try using roslaunch again. If rosgraph_msgs wasn't built you might have had other issues, make sure you can run rosmake ros ros_comm without failure. This will ensure that everything has been built and generated successfully.

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-05-20 23:25:07 -0500

Seen: 501 times

Last updated: May 21 '12